package com.ruoyi.dxp.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 接口监控对象 dxp_call_log
 * 
 * @author jy
 * @date 2022-11-06
 */
@ApiModel(value = "CallLog", description = "接口监控对象")
public class CallLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** uuid */
    @ApiModelProperty("uuid")
    private String uuid;

    /** 资源类型：data数据，service服务 */
    @ApiModelProperty("资源类型：data数据，service服务")
    private String resourceType;

    /** 资源id：数据或服务id */
    @ApiModelProperty("资源id：数据或服务id")
    private Long resourceId;

    /** 资源名称 */
    @ApiModelProperty("资源名称")
    private String resourceName;

    /** 提供机构 */
    @ApiModelProperty("提供机构")
    private String provideOrganization;

    /** 请求地址 */
    @ApiModelProperty("请求地址")
    private String requestUrl;

    /** 发起人 */
    @ApiModelProperty("发起人")
    private String callName;

    /** 来源IP */
    @ApiModelProperty("来源IP")
    private String callIp;

    /** 调用结果：1成功，2失败 */
    @ApiModelProperty("调用结果：1成功，2失败")
    private String callResult;

    /** 接口耗时（毫秒） */
    @ApiModelProperty("接口耗时（毫秒）")
    private Long callDuration;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty(hidden = true)
    private String delFlag;

    public void setUuid(String uuid) 
    {
        this.uuid = uuid;
    }

    public String getUuid() 
    {
        return uuid;
    }
    public void setResourceType(String resourceType) 
    {
        this.resourceType = resourceType;
    }

    public String getResourceType() 
    {
        return resourceType;
    }
    public void setResourceId(Long resourceId) 
    {
        this.resourceId = resourceId;
    }

    public Long getResourceId() 
    {
        return resourceId;
    }
    public void setResourceName(String resourceName) 
    {
        this.resourceName = resourceName;
    }

    public String getResourceName() 
    {
        return resourceName;
    }
    public void setProvideOrganization(String provideOrganization) 
    {
        this.provideOrganization = provideOrganization;
    }

    public String getProvideOrganization() 
    {
        return provideOrganization;
    }
    public void setRequestUrl(String requestUrl) 
    {
        this.requestUrl = requestUrl;
    }

    public String getRequestUrl() 
    {
        return requestUrl;
    }
    public void setCallName(String callName) 
    {
        this.callName = callName;
    }

    public String getCallName() 
    {
        return callName;
    }
    public void setCallIp(String callIp) 
    {
        this.callIp = callIp;
    }

    public String getCallIp() 
    {
        return callIp;
    }
    public void setCallResult(String callResult) 
    {
        this.callResult = callResult;
    }

    public String getCallResult() 
    {
        return callResult;
    }
    public void setCallDuration(Long callDuration) 
    {
        this.callDuration = callDuration;
    }

    public Long getCallDuration() 
    {
        return callDuration;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uuid", getUuid())
            .append("resourceType", getResourceType())
            .append("resourceId", getResourceId())
            .append("resourceName", getResourceName())
            .append("provideOrganization", getProvideOrganization())
            .append("requestUrl", getRequestUrl())
            .append("callName", getCallName())
            .append("callIp", getCallIp())
            .append("callResult", getCallResult())
            .append("callDuration", getCallDuration())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
